Subject: Re: bug#49823: [PATCH] gnu: Add jsonnet.

From: Vivien Kraus <[email-masked]>
Date: Tue, 10 Aug 2021 16:28:05 +0200

Hi!

Ludovic Courtès writes:
>> For the sake of having "no dependencies", it bundles a custom
>> implementation of MD5. According to a comment in the associated
>> license, it is taken from the implementation of bzflag, but it does not
>> seem to use the same as of today.
>>
>> I decided to use nettle, and add a few lines of C++ to shape it into
>> the required interface.
>
> I think using Nettle is a wise decision; however, it’s a decision for
> upstream to make IMO.  I’m not comfortable with shipping custom
> md5.{cpp,h} and CMakeLists.txt; to me, we’d be taking a bit too much of
> upstream’s burden and delivering something that’s quite different.

OK. Should I keep the bundled MD5 implementation then?

Vivien